#include<stdio.h>
int main(){
	int T,N,K,M,i;
	int b,c,min;
	scanf("%d",&T);
	for(i=0;i<T;i++){
		scanf("%d %d %d",&N,&M,&K);
		b=N/K;
		c=N%K;
		min=K*b*(b+1)/2+c*(b+1);
		if(min>M) printf("Nie");
		else printf("Tak");
	}
	return 0;
}